import { type Box } from '../../../../../providers/DashProvider/lib/parsers/mpeg/box';
/**
 * Queryable object to get needed boxes from structure
 */
export declare class BoxModel {
    private readonly index;
    constructor(initialSet: Box[]);
    /**
     * Processes index creation
     */
    private indexBoxLevel;
    /**
     * Returns first box of given type
     */
    find<T extends Box>(type: string): T | null;
    /**
     * Returns all boxes of given typoe
     */
    findAll<T extends Box>(type: string): T[];
}
